Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030578
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialalways2015-08-14 10:032015-08-25 13:31
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q4
StatusclosedFix in branchFixed in SCM revision6620d568fc9a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030578: WAD 2.50 generation fails for Product window

DescriptionWAD 2.50 generation fails for Product window because it has included a new tab based on an HQL window and WAD is treating it as a standard table.

See failing CI: https://ci.openbravo.com/job/int-full-pgsql-compile-all/609/console [^]
Steps To ReproduceExecute ant compile -Dwad.generateAllClassic250Windows=true -Dtab=product
    [java] 1143 [main] ERROR org.openbravo.data.Sqlc - SQL error in query: SELECT to_char(M_Costing_Transactions_HQL.Created, ?) as created,
     [java] (SELECT NAME FROM AD_USER u WHERE AD_USER_ID = M_Costing_Transactions_HQL.CreatedBy) as CreatedByR,
     [java] to_char(M_Costing_Transactions_HQL.Updated, ?) as updated,
     [java] to_char(M_Costing_Transactions_HQL.Updated, 'YYYYMMDDHH24MISS') as Updated_Time_Stamp,
     [java] M_Costing_Transactions_HQL.UpdatedBy,
     [java] (SELECT NAME FROM AD_USER u WHERE AD_USER_ID = M_Costing_Transactions_HQL.UpdatedBy) as UpdatedByR,
     [java] M_Costing_Transactions_HQL.id,
     [java] M_Costing_Transactions_HQL.movementType,
     [java] (CASE WHEN M_Costing_Transactions_HQL.movementType IS NULL THEN '' ELSE ( COALESCE(TO_CHAR(list1.name),'') ) END) AS movementTypeR,
     [java] M_Costing_Transactions_HQL.transaction,
     [java] (CASE WHEN M_Costing_Transactions_HQL.transaction IS NULL THEN '' ELSE ( COALESCE(TO_CHAR(table1.M_Transaction_ID),'') ) END) AS transactionR,
     [java] M_Costing_Transactions_HQL.movementDate,
     [java] TO_CHAR(M_Costing_Transactions_HQL.trxProcessDate, ?) AS trxProcessDate,
     [java] M_Costing_Transactions_HQL.M_Costing_ID,
     [java] M_Costing_Transactions_HQL.movementQuantity,
     [java] M_Costing_Transactions_HQL.price,
     [java] M_Costing_Transactions_HQL.transactionCost,
     [java] M_Costing_Transactions_HQL.cumQty,
     [java] M_Costing_Transactions_HQL.cost,
     [java] M_Costing_Transactions_HQL.cumCost,
     [java] M_Costing_Transactions_HQL.adjustmentAmt,
     [java] ? AS LANGUAGE
     [java] FROM M_Costing_Transactions_HQL left join ad_ref_list_v list1 on (M_Costing_Transactions_HQL.movementType = list1.value and list1.ad_reference_id = '189' and list1.ad_language = ?) left join (select M_Transaction_ID from M_Transaction) table1 on (M_Costing_Transactions_HQL.transaction = table1.M_Transaction_ID)
     [java] WHERE 2=2
     [java] AND 1=1
     [java] AND M_Costing_Transactions_HQL.id = ?
     [java] AND M_Costing_Transactions_HQL.AD_Client_ID IN (
     [java] '1')
     [java] AND M_Costing_Transactions_HQL.AD_Org_ID IN (
     [java] '1')
     [java]
     [java] org.postgresql.util.PSQLException: ERROR: relation "m_costing_transactions_hql" does not exist
     [java] Position: 1381
Proposed SolutionIgnore HQL tables in WAD 2.50 generation
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0079352)
hgbot (developer)
2015-08-14 10:07

Repository: erp/devel/pi
Changeset: 6620d568fc9ac3b38ca1accce99b752387641587
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Aug 14 10:06:38 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6620d568fc9ac3b38ca1accce99b752387641587 [^]

fixed issue 30578: WAD 2.50 generation fails for Product window

  2.50 generation should only take into account tabs for AD_Table with Table
  origin type

---
M src-wad/src/org/openbravo/wad/Tabs_data.xsql
---
(0079551)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079693)
AugustoMauch (developer)
2015-08-25 13:31

Code reviewed and verified in pi@90c36b6d356e

- Issue History
Date Modified Username Field Change
2015-08-14 10:03 alostale New Issue
2015-08-14 10:03 alostale Assigned To => alostale
2015-08-14 10:03 alostale Modules => Core
2015-08-14 10:03 alostale Triggers an Emergency Pack => No
2015-08-14 10:04 alostale Review Assigned To => AugustoMauch
2015-08-14 10:07 hgbot Checkin
2015-08-14 10:07 hgbot Note Added: 0079352
2015-08-14 10:07 hgbot Status new => resolved
2015-08-14 10:07 hgbot Resolution open => fixed
2015-08-14 10:07 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6620d568fc9ac3b38ca1accce99b752387641587 [^]
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079551
2015-08-25 13:31 AugustoMauch Note Added: 0079693
2015-08-25 13:31 AugustoMauch Status resolved => closed
2015-08-25 13:31 AugustoMauch Fixed in Version => 3.0PR15Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker